 #ifndef _TYPES
 #include <types.h>
 #endif

 #define noExcpsFile     ""
 #define noReader        "\PnoReader"
 #define fullUnitT       -4000

 typedef int             SpeechErr;
 typedef Byte            SpeechRecord[100];
 typedef SpeechRecord *  SpeechPointer;
 typedef SpeechPointer * SpeechHandle;

 typedef Byte            Sex;
 #define Male            0
 #define Female          1

 typedef Byte            FOMode;
 #define Natural         0
 #define Robotic         1
 #define NoChange        2

 typedef Byte            Language;
 #define xEnglish        0
 #define French          1
 #define Spanish         2
 #define German          3
 #define Italian         4

 struct VoiceRecord {
         Sex             theSex;
         Language        theLanguage;
         int             theRate;
         int             thePitch;
         FOMode          theMode;
         Str255          theName;
         long            refCon;
 };
 typedef struct VoiceRecord      VoiceRecord;
 typedef VoiceRecord *           VoicePtr;

 SpeechErr               SpeechOn();
 void                    SpeechOff();
 void                    SpeechRate();
 void                    SpeechPitch();
 void                    SpeechSex();
 SpeechErr               Reader();
 SpeechErr               MacinTalk();

